YamlCommandFactory (Grails 6.0.0)

Package: org.grails.cli.profile.commands.factory

## [Groovy] Class YamlCommandFactory

- org.grails.cli.profile.commands.factory.YamlCommandFactory

-     @groovy.transform.CompileStatic
      class YamlCommandFactory
      extends ResourceResolvingCommandFactory<java.util.Map>

  A CommandFactory that can discover commands defined in YAML or JSON

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `fileNamePattern` |
    `protected groovy.json.JsonSlurper` | `jsonSlurper` |
    `private java.util.Collection<java.lang.String>` | `matchingFileExtensions` |
    `protected org.yaml.snakeyaml.Yaml` | `yamlParser` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `fileNamePattern`
    `java.util.Collection<java.lang.String>` | `matchingFileExtensions`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `YamlCommandFactory ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Command` | `createCommand(Profile profile, java.lang.String commandName, Resource resource, java.util.Map data)`
    `` | `protected java.util.Map` | `readCommandFile(Resource resource)`

- - ### Field Detail

    - #### private final java.lang.String fileNamePattern

    - #### protected groovy.json.JsonSlurper jsonSlurper

    - #### private final java.util.Collection<java.lang.String> matchingFileExtensions

    - #### protected org.yaml.snakeyaml.Yaml yamlParser

  - ### Property Detail

    - #### final java.lang.String fileNamePattern

    - #### final java.util.Collection<java.lang.String> matchingFileExtensions

  - ### Constructor Detail

    - #### YamlCommandFactory()

  - ### Method Detail

    - #### protected Command createCommand(Profile profile, java.lang.String commandName, Resource resource, java.util.Map data)

    - #### @java.lang.Override protected java.util.Map readCommandFile(Resource resource)